Code

Merge remote-tracking branch 'github/pr/387'
[collectd.git] / build.sh
index 804b2e2593b6d497e0a15dbd77f6a4e35343c446..20854b13b7d88cf6aa90f5ce990fd07370fff56c 100755 (executable)
--- a/build.sh
+++ b/build.sh
@@ -6,7 +6,8 @@ check_for_application ()
 {
        for PROG in "$@"
        do
-               if ! which "$PROG" >/dev/null 2>&1; then
+               which "$PROG" >/dev/null 2>&1
+               if test $? -ne 0; then
                        cat >&2 <<EOF
 WARNING: \`$PROG' not found!
     Please make sure that \`$PROG' is installed and is in one of the